Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## motorsWrite()

#### Description

Control the robot's wheels speed and direction from the Motor Board processor. It's different from motorsWrite() of the control board. This one drives the motors directly, while the former sends signals to the motor board. So don't mix them in usage.

#### Syntax

RobotMotor.motorsWrite(speedL, speedR)

#### Parameters

speedLeft: controls the speed of left wheel.

speedRight: controls the speed of right wheel.

Both values can be from -255 to 255. If the value is bigger than 0, the wheel turns forward. Smaller than 0, the motor turns backwards.

#### Returns

none

#### Examples

#include <ArduinoRobotMotorBoard.h>
void setup(){
RobotMotor.begin();
}
void loop(){
RobotMotor.motorsWrite(255,255);
delay(1000);
RobotMotor.motorsWrite(0,0);
delay(1000);
}
[Get Code]

#### See also

- IRread()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers